Home Forums Wiki Doc Install Extras Screenshots Source Code Projects Blog Users Groups Register
Glx-Dock / Cairo-Dock List of forums Problems at use | Problèmes à l'utilisation Cairo-dock 1.6 and Ubuntu Gutsy
The latest stable release is the *3.4.0* : How to install it here.
Note: We just switched from BZR to Git on Github! (only to host the code and your future pull requests)
Problems at use | Problèmes à l'utilisation

Subjects Author Language Messages Last message
[Locked] Cairo-dock 1.6 and Ubuntu Gutsy
Page : 1 2
phil66 English 27 parAdOxxx_ZeRo [Read]
27 June 2008 à 14:17

phil66, Wednesday 25 June 2008 à 16:46


Subscription date : 07 April 2008
Messages : 103
Has Version 1.6 been added to the Ubuntu Gutsy repos yet

If so what is the proper command??

fabounet, Wednesday 25 June 2008 à 17:26


Subscription date : 30 November 2007
Messages : 17118
it's on our own repos.
see the wiki for more details.

phil66, Wednesday 25 June 2008 à 17:45


Subscription date : 07 April 2008
Messages : 103


Failed to fetch http://repository.Cairo-dock.org/Ubuntu/dists/Gutsy/Cairo-dock/binary-i386/Packages.gz 404 Not Found
Reading package lists... Done
E: Some index files failed to download, they have been ignored, or old ones used instead.
phil66@phil66-desktop:~$ sudo apt-get install cairo-dock cairo-dock-plug-ins
Reading package lists... Done
Building dependency tree
Reading state information... Done
cairo-dock is already the newest version.
cairo-dock-plug-ins is already the newest version

The version I have is 1.5.6 and synaptic also show 1.5.6

parAdOxxx_ZeRo, Wednesday 25 June 2008 à 18:34


Subscription date : 14 January 2008
Messages : 1122
it's not : http://repository.Cairo-dock.org/Ubuntu/dists/Gutsy/Cairo-dock/binary-i386/Packages.gz
but : http://repository.glx-dock.org/ubuntu/dists/gutsy/cairo-dock/binary-i386/Packages.gz

phil66, Wednesday 25 June 2008 à 19:04


Subscription date : 07 April 2008
Messages : 103
phil66@phil66-desktop:~$ sudo apt-get update
E: Malformed line 49 in source list /etc/apt/sources.list (dist)
phil66@phil66-desktop:

I used the line you suggested without the uppercase and got this error

The line for the repositories that the wiki suggested was the same as what was in the sources.list

Which is different than your line


phil66, Wednesday 25 June 2008 à 19:30


Subscription date : 07 April 2008
Messages : 103
phil66@phil66-desktop:~$ sudo apt-get update
Ign cdrom://Ubuntu 7.10 _Gutsy Gibbon_ - Release i386 (20071016) gutsy/main Translation-en_US
Ign cdrom://Ubuntu 7.10 _Gutsy Gibbon_ - Release i386 (20071016) gutsy/restricted Translation-en_US
Ign http://repository.glx-dock.org gutsy Release.gpg
Ign http://repository.glx-dock.org gutsy/cairo-dock Translation-en_US
Get:1 http://archive.canonical.com gutsy Release.gpg [191B]
Ign http://archive.canonical.com gutsy/partner Translation-en_US
Get:2 http://us.archive.ubuntu.com gutsy Release.gpg [191B]
Ign http://us.archive.ubuntu.com gutsy/universe Translation-en_US
Get:3 http://security.ubuntu.com gutsy-security Release.gpg [191B]
Ign http://security.ubuntu.com gutsy-security/main Translation-en_US
Ign http://repository.glx-dock.org gutsy Release
Hit http://archive.canonical.com gutsy Release
Ign http://us.archive.ubuntu.com gutsy/main Translation-en_US
Ign http://us.archive.ubuntu.com gutsy/restricted Translation-en_US
Ign http://us.archive.ubuntu.com gutsy/multiverse Translation-en_US
Get:4 http://us.archive.ubuntu.com gutsy-updates Release.gpg [189B]
Ign http://us.archive.ubuntu.com gutsy-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com gutsy-updates/restricted Translation-en_US
Ign http://security.ubuntu.com gutsy-security/restricted Translation-en_US
Ign http://security.ubuntu.com gutsy-security/multiverse Translation-en_US
Ign http://security.ubuntu.com gutsy-security/universe Translation-en_US
Hit http://security.ubuntu.com gutsy-security Release
Hit http://archive.canonical.com gutsy/partner Packages
Ign http://repository.glx-dock.org gutsy/cairo-dock Packages
Ign http://us.archive.ubuntu.com gutsy-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com gutsy-updates/universe Translation-en_US
Get:5 http://us.archive.ubuntu.com gutsy-backports Release.gpg [189B]
Ign http://us.archive.ubuntu.com gutsy-backports/main Translation-en_US
Ign http://us.archive.ubuntu.com gutsy-backports/restricted Translation-en_US
Ign http://us.archive.ubuntu.com gutsy-backports/universe Translation-en_US
Hit http://security.ubuntu.com gutsy-security/main Packages
Hit http://archive.canonical.com gutsy/partner Sources
Hit http://repository.glx-dock.org gutsy/cairo-dock Packages
Ign http://us.archive.ubuntu.com gutsy-backports/multiverse Translation-en_US
Hit http://us.archive.ubuntu.com gutsy Release
Hit http://us.archive.ubuntu.com gutsy-updates Release
Hit http://us.archive.ubuntu.com gutsy-backports Release
Hit http://security.ubuntu.com gutsy-security/restricted Packages
Hit http://security.ubuntu.com gutsy-security/multiverse Packages
Hit http://security.ubuntu.com gutsy-security/main Sources
Hit http://us.archive.ubuntu.com gutsy/main Sources
Hit http://us.archive.ubuntu.com gutsy/restricted Sources
Hit http://us.archive.ubuntu.com gutsy/universe Packages
Hit http://us.archive.ubuntu.com gutsy/main Packages
Hit http://us.archive.ubuntu.com gutsy/restricted Packages
Hit http://security.ubuntu.com gutsy-security/restricted Sources
Hit http://security.ubuntu.com gutsy-security/universe Packages
Hit http://security.ubuntu.com gutsy-security/universe Sources
Hit http://us.archive.ubuntu.com gutsy/multiverse Packages
Hit http://us.archive.ubuntu.com gutsy/universe Sources
Hit http://us.archive.ubuntu.com gutsy-updates/main Packages
Hit http://us.archive.ubuntu.com gutsy-updates/restricted Packages
Hit http://us.archive.ubuntu.com gutsy-updates/multiverse Packages
Hit http://us.archive.ubuntu.com gutsy-updates/main Sources
Hit http://us.archive.ubuntu.com gutsy-updates/restricted Sources
Hit http://us.archive.ubuntu.com gutsy-updates/universe Packages
Hit http://us.archive.ubuntu.com gutsy-updates/universe Sources
Hit http://us.archive.ubuntu.com gutsy-backports/main Packages
Hit http://us.archive.ubuntu.com gutsy-backports/restricted Packages
Hit http://us.archive.ubuntu.com gutsy-backports/universe Packages
Hit http://us.archive.ubuntu.com gutsy-backports/multiverse Packages
Fetched 5B in 4s (1B/s)
Reading package lists... Done
phil66@phil66-desktop:~$

parAdOxxx_ZeRo, Wednesday 25 June 2008 à 19:52


Subscription date : 14 January 2008
Messages : 1122
can you cat /etc/apt/sources.list ?

phil66, Wednesday 25 June 2008 à 19:57


Subscription date : 07 April 2008
Messages : 103
root@phil66-desktop:/home/phil66# cat /etc/apt/sources.list
deb cdrom:[Ubuntu 7.10 _Gutsy Gibbon_ - Release i386 (20071016)]/ gutsy main restricted
  1. See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
  2. newer versions of the distribution.

deb-src http://us.archive.ubuntu.com/ubuntu/ gutsy main restricted

Major bug fix updates produced after the final release of the
distribution.
deb http://us.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted

N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
team, and may not be under a free licence. Please satisfy yourself as to
your rights to use the software. Also, please note that software in
universe WILL NOT receive any review or updates from the Ubuntu security
team.
deb http://us.archive.ubuntu.com/ubuntu/ gutsy universe main restricted multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ gutsy universe
deb http://us.archive.ubuntu.com/ubuntu/ gutsy-updates universe
deb-src http://us.archive.ubuntu.com/ubuntu/ gutsy-updates universe

N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
team, and may not be under a free licence. Please satisfy yourself as to
your rights to use the software. Also, please note that software in
multiverse WILL NOT receive any review or updates from the Ubuntu
security team.

Uncomment the following two lines to add software from the 'backports'
repository.
N.B. software from this repository may not have been tested as
extensively as that contained in the main release, although it includes
newer versions of some applications which may provide useful features.
Also, please note that software in backports WILL NOT receive any review
or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse
  1. deb-src http://us.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse

Uncomment the following two lines to add software from Canonical's
'partner' repository. This software is not part of Ubuntu, but is
offered by Canonical and the respective vendors as a service to Ubuntu
# users.
deb http://archive.canonical.com/ubuntu gutsy partner
deb-src http://archive.canonical.com/ubuntu gutsy partner

deb http://security.ubuntu.com/ubuntu gutsy-security main restricted multiverse
deb-src http://security.ubuntu.com/ubuntu gutsy-security main restricted
deb http://security.ubuntu.com/ubuntu gutsy-security universe
deb-src http://security.ubuntu.com/ubuntu gutsy-security universe
deb http://repository.glx-dock.org/ubuntu gutsy cairo-dock
root@phil66-desktop:/home/phil66#

phil66, Wednesday 25 June 2008 à 20:04


Subscription date : 07 April 2008
Messages : 103
Using aptitude instead of apt-get gives me this dialogue
apt-get gives me that I have latest version v1.56

root@phil66-desktop:/home/phil66# aptitude install cairo-dock cairo-dock-plug-ins
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Building tag database... Done
The following packages have been automatically kept back:
libgnutls-dev libgnutlsxx13 libqt4-gui linux-libc-dev
linux-restricted-modules-common thunderbird xserver-xorg-dev
The following packages have been kept back:
bittorrent evolution evolution-common evolution-data-server
evolution-data-server-common evolution-plugins flashplugin-nonfree
ghostscript ghostscript-x gnome-screensaver gstreamer0.10-esd
gstreamer0.10-plugins-good gthumb hpijs hplip hplip-data
language-pack-gnome-en-base libcamel1.2-10 libebook1.2-9 libecal1.2-7
libedataserver1.2-9 libexchange-storage1.2-3 libgnutls13 libgs8
libhsqldb-java libicu36 libsmbclient libspeex1 libssl0.9.8 linux-generic
linux-headers-generic linux-image-2.6.22-14-generic linux-image-generic
linux-restricted-modules-generic linux-ubuntu-modules-2.6.22-14-generic
mozilla-thunderbird openssh-client openssl python-bittorrent rsync
samba-common smbclient ssh-askpass-gnome ssl-cert tomboy ubufox
ubuntu-docs xserver-xorg-core
0 packages upgraded, 0 newly installed, 0 to remove and 55 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Building tag database... Done
root@phil66-desktop:/home/phil66#

parAdOxxx_ZeRo, Wednesday 25 June 2008 à 20:05


Subscription date : 14 January 2008
Messages : 1122
very strange...
so you have no more errors on apt-get update and it doesn't upgrade :/
you might want to do a sudo apt-get dist-upgrade but i don't really believe in this...

phil66, Wednesday 25 June 2008 à 20:10


Subscription date : 07 April 2008
Messages : 103
Looks like V1.6 is not in the repositories as it continues to tell me I have the newest version

Why is using aptitude giving different dialogue

parAdOxxx_ZeRo, Wednesday 25 June 2008 à 20:11


Subscription date : 14 January 2008
Messages : 1122
good question : apt-get should tell you too about unupgraded packages

phil66, Wednesday 25 June 2008 à 20:16


Subscription date : 07 April 2008
Messages : 103
This last time I got into updating these kernals I ended up totally screwing my system
It does not show anything about upgrading Cairo-dock

root@phil66-desktop:/home/phil66# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
linux-headers-2.6.22-15 linux-headers-2.6.22-15-generic
linux-image-2.6.22-15-generic linux-restricted-modules-2.6.22-15-generic
linux-ubuntu-modules-2.6.22-15-generic openssl-blacklist
The following packages will be upgraded:
bittorrent evolution evolution-common evolution-data-server
evolution-data-server-common evolution-plugins flashplugin-nonfree
ghostscript ghostscript-x gnome-screensaver gstreamer0.10-esd
gstreamer0.10-plugins-good gthumb hpijs hplip hplip-data
language-pack-gnome-en-base libcamel1.2-10 libebook1.2-9 libecal1.2-7
libedataserver1.2-9 libexchange-storage1.2-3 libgnutls-dev libgnutls13
libgnutlsxx13 libgs8 libhsqldb-java libicu36 libqt4-gui libsmbclient
libspeex1 libssl0.9.8 linux-generic linux-headers-generic
linux-image-2.6.22-14-generic linux-image-generic linux-libc-dev
linux-restricted-modules-common linux-restricted-modules-generic
linux-ubuntu-modules-2.6.22-14-generic mozilla-thunderbird openssh-client
openssl python-bittorrent rsync samba-common smbclient ssh-askpass-gnome
ssl-cert thunderbird tomboy ubufox ubuntu-docs xserver-xorg-core
xserver-xorg-dev
55 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 157MB of archives.
After unpacking 266MB of additional disk space will be used.
Do you want to continue [Y/n]? n

parAdOxxx_ZeRo, Wednesday 25 June 2008 à 20:23


Subscription date : 14 January 2008
Messages : 1122
So don't upgrade but really sorry i don't know why you haven't the last one.
You aren't in 64bit right ?

phil66, Wednesday 25 June 2008 à 20:27


Subscription date : 07 April 2008
Messages : 103
No this system is 32 bit

Reading some of B3rt threads Mav said that it was not in Hardy but would be in a few minutes

Is it possible that it is a different download for Gutsy and has not been added yet

parAdOxxx_ZeRo, Wednesday 25 June 2008 à 20:30


Subscription date : 14 January 2008
Messages : 1122
you must be right, i thought that the packages were added but obviously it's not

phil66, Wednesday 25 June 2008 à 20:40


Subscription date : 07 April 2008
Messages : 103
Thanks for the help

Maybe fabunet Will read this tonight and clarify her answer

Mav, Thursday 26 June 2008 à 01:27


Subscription date : 29 November 2007
Messages : 3146
Yes you're right the package of 1.6 is only in Hardy repository
Paradoxx can you please deal with it because I don't know what is needed to be changed to be working on Gutsy

ChAnGFu, Thursday 26 June 2008 à 01:57


Subscription date : 17 January 2008
Messages : 1526
b0a590ac8ef6273e8ace9069a1b4c9c2 cairo-dock-plug-ins_v1.6.0.2_i686.deb
cf4b68ac16c055b16ec36e28b956f7b8 cairo-dock_v1.6.0.2_i686.deb

here fresh debian package

parAdOxxx_ZeRo, Thursday 26 June 2008 à 09:14


Subscription date : 14 January 2008
Messages : 1122
J'ai mis tes paquets changfu dans le dépots, j'éspère que j'ai pas fait de conneries ^^

Phil66 : Can you retry, i updated the repos...

Problems at use | Problèmes à l'utilisation

Subjects Author Language Messages Last message
[Locked] Cairo-dock 1.6 and Ubuntu Gutsy
Page : 1 2
phil66 English 27 parAdOxxx_ZeRo [Read]
27 June 2008 à 14:17


Glx-Dock / Cairo-Dock List of forums Problems at use | Problèmes à l'utilisation Cairo-dock 1.6 and Ubuntu Gutsy Top

Online users :

Powered by ElementSpeak © 2007 Adrien Pilleboue, 2009-2013 Matthieu Baerts.
Dock based on CSS Dock Menu (Ndesign) with jQuery. Icons by zgegball
Cairo-Dock is a free software under GNU-GPL3 licence. First stable version created by Fabounet.
Many thanks to TuxFamily for the web Hosting and Mav for the domain name.